﻿<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:template match="/">
		<h2>MS CRM 3.0 Events' scripts</h2>

    <span class="headerFont">Select entity: </span>
    <select onchange="NavigateToTheEntity(this)">
      <xsl:for-each select="ImportExportXml/Entities/Entity">
        <xsl:sort select="Name" order="ascending"/>
        <xsl:variable name="otc" select="ObjectTypeCode"></xsl:variable>
        <option value="{$otc}" >
          <xsl:value-of select="Name"/> (<xsl:value-of select="ObjectTypeCode"/>) <xsl:value-of select="LocalizedName"/>
        </option>
      </xsl:for-each>
    </select>
    <br/>
    <br/>
    <table>
      <xsl:for-each select="ImportExportXml/Entities/Entity">
        <xsl:sort select="Name" order="ascending"/>
        <xsl:variable name="otc2" select="ObjectTypeCode"></xsl:variable>
        <tr>
          <td colspan="2" class="entityHeader">
          <a name="{$otc2}"></a>
            <table style="border:none;" cellpadding="0" cellspacing="0">
              <tr>
                <td class="headerFont">
                  <b>
                    <xsl:value-of select="Name"/>
                  </b> (<xsl:value-of select="ObjectTypeCode"/>) <xsl:value-of select="LocalizedName"/>
                </td>
                <td class="headerFont" style="padding-left:5px;">
                    <a href="#" title="Перейти в начало страницы">Top</a>
                </td>
              </tr>
            </table>
          </td>
			</tr>
			<xsl:for-each select="FormXml/forms/entity/form/events/event">
		        <xsl:choose>
		          <xsl:when test="self::node()[@application = 'true']">
		            <tr class="appScript">
		              <td class="fieldNameCell">
						<div class="eventLabel">Form event: <xsl:value-of select="@name"/></div>
		              </td>
		              <td class="scriptCell">
		                <pre>
		                  <xsl:value-of select="script"/>
		                </pre>
		              </td>
		            </tr>
		          </xsl:when>
		          <xsl:otherwise>
		            <tr class="customScript">
		              <td class="fieldNameCell">
						<div class="eventLabel">Form event: <xsl:value-of select="@name"/></div>
		              </td>
		              <td class="scriptCell">
		                <pre>
		                  <xsl:value-of select="script"/>
		                </pre>
		              </td>
		            </tr>
		          </xsl:otherwise>
		        </xsl:choose>
			</xsl:for-each>
		
			<xsl:apply-templates select="FormXml/forms/entity/form/tabs/tab/sections/section/rows/row/cell[events]" />
		</xsl:for-each>  
		</table>
	</xsl:template>
   
	<xsl:template match="cell[events]">
		<xsl:for-each select="self::node()">
      <xsl:for-each select="events/event">
        <xsl:choose>
          <xsl:when test="self::node()[@application = 'true']">
            <tr class="appScript">
              <td class="fieldNameCell">
                <xsl:value-of select="../../control/@id"/><br />(<xsl:value-of select="../../labels/label/@description"/>)<br />
				<div class="eventLabel">Event: <xsl:value-of select="@name"/></div>
              </td>
              <td class="scriptCell">
                <pre style="width:100%;heigth:100%;">
                  <xsl:value-of select="script"/>
                </pre>
              </td>
            </tr>
          </xsl:when>
          <xsl:when test="self::node()[@active = 'false']">
            <tr class="disactive">
              <td class="fieldNameCell">
                <xsl:value-of select="../../control/@id"/><br />(<xsl:value-of select="../../labels/label/@description"/>)<br />
				<div class="eventLabel">Event: <xsl:value-of select="@name"/></div>
              </td>
              <td class="scriptCell">
                <pre style="width:100%;heigth:100%;">
                  <xsl:value-of select="script"/>
                </pre>
              </td>
            </tr>
          </xsl:when>
          <xsl:otherwise>
            <tr class="customScript">
              <td class="fieldNameCell">
                <xsl:value-of select="../../control/@id"/><br />(<xsl:value-of select="../../labels/label/@description"/>)<br />
				<div class="eventLabel">Event: <xsl:value-of select="@name"/></div>
              </td>
              <td class="scriptCell">
                <pre style="width:100%;heigth:100%;">
                  <xsl:value-of select="script"/>
                </pre>
              </td>
            </tr>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:for-each>
		</xsl:for-each>
	</xsl:template>
   
</xsl:stylesheet>